Bug 1570951 - Service and VM retirement are non-deterministic, running parallel
Summary: Service and VM retirement are non-deterministic, running parallel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.4
Assignee: drew uhlmann
QA Contact: Landon LaSmith
URL:
Whiteboard:
Depends On: 1563627
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-23 20:05 UTC by Satoe Imaishi
Modified: 2018-07-23 12:59 UTC (History)
8 users (show)

Fixed In Version: 5.8.4.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1563627
Environment:
all CFME (bug should be cloned)
Last Closed: 2018-06-25 14:20:41 UTC
Category: ---
Cloudforms Team: Unknown


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:21:18 UTC

Comment 2 CFME Bot 2018-04-23 20:21:56 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/611b2a414d562f2ea9ef9ed4a88a3d0652683bb8
commit 611b2a414d562f2ea9ef9ed4a88a3d0652683bb8
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Apr 19 08:47:41 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Thu Apr 19 08:47:41 2018 -0400

    Merge pull request #17280 from d-m-u/adding_lock_to_retire_now

    Add lock to retire_now start
    (cherry picked from commit 2deffa58399461396e3bbd57b93fc744f0c64e88)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1570951

 app/models/mixins/retirement_mixin.rb | 43 +-
 spec/models/service/retirement_management_spec.rb | 23 +-
 spec/models/vm/retirement_management_spec.rb | 19 +
 3 files changed, 67 insertions(+), 18 deletions(-)

Comment 3 Landon LaSmith 2018-05-29 22:00:17 UTC
VERIFIED in 5.8.4.3. I had 2 appliances in the same region connected to the same primary database. I was able to retire a VM and the retirement was started on a single machine and finished on another machine. There were no duplicate retirement events reported in the logs.  

I recommend that the customer test this fix prior to closing the BZ due to the use of custom automate code in their environment

Comment 5 errata-xmlrpc 2018-06-25 14:20:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.